;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux mhc package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The mhc package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (nconc load-path (list (concat "/usr/share/"
                                               (symbol-name flavor)
                                               "/site-lisp/mhc"))))


(defun mhc-select-mailer-package (mua)
 "select mailer package for MHC: wl, mew or gnus"
  (interactive 
   (let ((mua-alist '(("wanderlust" . wl) ("mew" . mew) ("gnus" .gnus))))
     (list (cdr (assoc
		 (completing-read "Mailer Package for MHC: " mua-alist)
		 mua-alist)))))
  (setq mhc-mailer-package mua)
  (cond 
  ((eq mhc-mailer-package 'wl)
   (autoload 'mhc-wl-setup "mhc-wl")
   (add-hook 'wl-init-hook 'mhc-wl-setup))
  ((eq mhc-mailer-package 'mew)
   (autoload 'mhc-mew-setup "mhc-mew")
   (add-hook 'mew-init-hook 'mhc-mew-setup))
  ((eq mhc-mailer-package 'gnus)
   (autoload 'mhc-gnus-setup "mhc-gnus")
   (add-hook 'gnus-startup-hook 'mhc-gnus-startup))))

(setq mhc-icon-path
      (if (or (featurep 'xemacs) (>= emacs-major-version 21))
	  "/usr/share/pixmaps/mhc"
	"/usr/share/pixmaps/mhc/xbm"))

; (setq mhc-base-folder "+schedule")
; (setq mhc-mail-path (expand-file-name "~/Mail"))

; see also /usr/share/doc/mhc/examples/DOT.schedule.sample

